﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Browser;

namespace SilverHtmlContent
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
		}


		public int HtmlControl_top
		{
			get
			{
				string	str_this_top	= HtmlPage.Plugin.Parent.GetProperty("offsetTop").ToString();
				int		this_top;
				double	ctrl_top		= html_content.Margin.Top
										+ LayoutRoot.RowDefinitions[0].Height.Value
										+ LayoutRoot.RowDefinitions[1].Height.Value
										+ this.Margin.Top;

				if (int.TryParse(str_this_top, out this_top) == false)
					return (int) ctrl_top;

				return (int) ctrl_top;
			}
		}

		private void UserControl_Loaded(object sender, RoutedEventArgs e)
		{
			double	top		= HtmlControl_top,
					left	= LayoutRoot.ColumnDefinitions[0].Width.Value
									+ html_content.Margin.Left
									+ this.Margin.Left;

			html_content.Top	= top;
			html_content.Left	= left;

			textbox_url.Text = html_content.TargetUrl;
		}

	}
}
